
/******************************************************************************

Wrapper for rpcgen output nfs_prot.h

Author: Jefferson Ogata (JO317) <ogata@pobox.com>

Copyright 1999 by Jefferson Ogata. All rights reserved.

Please note that this program comes with NO WARRANTY WHATSOEVER. Your use
of this program constitutes your complete acceptance of all liability for
any damage or loss caused by said use.

This header performs some OS-specific tweaks to rpc/nfs_prot.h.

******************************************************************************/

#ifndef	_NFS_PROT_H

#include <sys/types.h>
#include <rpc/rpc.h>

#ifdef	GCC

typedef	unsigned long long	uint64;
typedef unsigned long		uint32;
typedef	long long		int64;
typedef long			int32;

#else

#ifdef	IRIX

typedef	__uint64_t		uint64;
typedef	__uint32_t		uint32;
typedef	__int64_t		int64;
typedef	__int32_t		int32;

#else	/* defined(IRIX) */

#ifdef	SUNOS

#if	OSMAJOR < 56 && !defined(GCC)

#include <rpc/rpc_sztypes.h>

#else

typedef	uint64_t		uint64;
typedef uint32_t		uint32;
typedef	int64_t			int64;
typedef int32_t			int32;

#endif	/* OSMAJOR < 56 && !defined(GCC) */

#endif	/* defined(SUNOS) */

#endif	/* defined(IRIX) */

#endif	/* defined(GCC) */

#include "rpc/nfs_prot.h"

#define	_NFS_PROT_H
#endif	/* !defined(_NFS_PROT_H) */

